petsc-3.7.1 2016-05-15
Report Typos and Errors

# EventPerfLogDeactivateClass

Deactivates event logging for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode EventPerfLogDeactivateClass(PetscEventPerfLog eventLog, PetscEventRegLog eventRegLog, PetscClassId classid)

Not Collective Many br

### Input Parameters

| eventLog | - The PetscEventPerfLog Many br
| eventRegLog | - The PetscEventRegLog Many br
| classid | - The class id, for example MAT_CLASSID, SNES_CLASSID, Many br

Many br

### See Also

EventPerfLogDeactivateClass(), EventPerfLogDeactivate(), EventPerfLogActivate()

Level:developer
Location:src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages